package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.ResultScoreMapper;
import com.lz.modules.flow.entity.ResultScore;
import com.lz.modules.flow.model.ResultScoreDto;
import com.lz.modules.flow.service.ResultScoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 业绩详情评分表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/

@Service
public class ResultScoreServiceImpl extends ServiceImpl<ResultScoreMapper, ResultScore> implements ResultScoreService {


    @Autowired
	private ResultScoreMapper resultScoreMapper;



	@Override
	public ResultScore selectResultScoreById(Long id){
		return resultScoreMapper.selectResultScoreById(id);
	}



	@Override
	public Long insertResultScore(ResultScore resultScore){
		return resultScoreMapper.insertResultScore(resultScore);
	}



	@Override
	public int updateResultScoreById(ResultScore resultScore){
		return resultScoreMapper.updateResultScoreById(resultScore);
	}



	@Override
	public int updateCoverResultScoreById(ResultScore resultScore){
		return resultScoreMapper.updateCoverResultScoreById(resultScore);
	}



	@Override
	public int deleteResultScoreById(Long id){
		return resultScoreMapper.deleteResultScoreById(id);
	}

	@Override
	public List<ResultScore> selectResultScoresByDetailId(Long id){
		return resultScoreMapper.selectResultScoresByDetailId(id);
	}

	@Override
	public List<ResultScore> selectResultScoresByDetailIdAndOrderByStaffIds(Long id, List<ResultScoreDto> scoreDtos){
		return resultScoreMapper.selectResultScoresByDetailIdAndOrderByStaffIds(id, scoreDtos);
	}

	@Override
	public int deleteResultScoreByDetailId(Long id){
		return resultScoreMapper.deleteResultScoreByDetailId(id);
	}

	@Override
	public int setNoEditScoreByDetailId(Long detailId){
		return resultScoreMapper.setNoEditScoreByDetailId(detailId);
	}



}
